$4.50 to $10.00
Technology

Kurzweil 3000 Version 12 Training

This course is offered by

  • One low monthly price.
  • Access to thousands of courses from top providers.
  • No commitment. Cancel anytime.
Learn More

This course is formatted for use on mobile devices

For help or to ask more questions about Kurzweil 3000 Version 12 Training by Atomic Training, click "Live Help" in the bottom right, or feel free to call us at (503) 808-1268.

Course Description

Kurzweil 3000® is a comprehensive reading, writing and learning software solution for any struggling reader, including individuals with learning difficulties, such as dyslexia, attention deficit disorder or those who are English Language Learners.




This series covers version 12 which includes expanded support of NIMAS and DAISY 2 and 3 files, additional support for English Language Learners and enhanced writing support

Other System Requirements

PC System Requirements: -Operating System: Windows XP SP2, Windows Vista, Windows 7, Windows 8 -Browser: Internet Explorer 9 or higher, Firefox 3 or higher, Google Chrome -3rd Party Cookies must be accepted -Player: Flash Player 9.1 or higher, QuickTime Player 6.5.2 or higher (see note about recent versions and closed captioning) -Adobe Reader 6.0 or higher Mac System Requirements: -Operating System: Mac OS X 10.4.11 or higher -Browser: Safari 3 or higher, Firefox 3 or higher, Google Chrome for Mac -3rd Party Cookies must be accepted -Player: QuickTime Player 7 or higher, Flash Player 9.1 or higher -Adobe Reader 9 or higher Hardware Specifications: -Screen resolution of at least 848x480 or larger -A computer with speakers or headphones (courses contain audio) -Bandwidth: 512 kb/s+ Recommended; 128 kb/s Minimum Additional Notes & Troubleshooting: -QuickTime versions 7.6.6 - 7.6.9 for Windows may exhibit poor sound quality when closed captioning is enabled. Atomic Training recommends using QuickTime version 7.6.0 until this issue is rectified by Apple in a future release. Theses servers MUST be allowed on your company network: -"https://*.kaltura.com" and "https://*.atomiclearning.com" Course Completion Requirements: -Each learner must at least attempt each module in the course PLEASE NOTE: The newest browser versions should be used whenever possible. They offer improved security, increased performance, better backward compatibility, and support for the modern technologies that power today’s websites and services. OpenSesame encourages customers to upgrade and stay up-to-date on the latest browser for a faster, more secure eLearning experience.

Language

American English

Course Features

1 hr 13 min

Accessible / 508 Compliant

Audio Narration

Video

Related Courses
Need help locating a course? Let us find the right one for you. Help Me Out